# WinDeviceGroup Class

### NAMESPACE

RASAdminEngine.Core.OutputModels.WinDeviceGroup

### DESCRIPTION

Windows device group

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒[RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html)⇒WinDeviceGroup

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                                                                  | Name                   | Description                                                                                                                                      |                                                                     |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------- |
| String                                                                                                                                                                | AdminCreate            | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                     |
| String                                                                                                                                                                | AdminLastMod           | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                     |
| String                                                                                                                                                                | Description            |                                                                                                                                                  | Description of the Windows device group                             |
| Boolean                                                                                                                                                               | DisablePrintScreen     |                                                                                                                                                  | Whether Print Screens are disabled or not.                          |
| Boolean                                                                                                                                                               | DisableRemovableDrives |                                                                                                                                                  | Whether Removeable drives are disabled or not.                      |
| Boolean                                                                                                                                                               | EnableFirewall         |                                                                                                                                                  | Whether the Firewall option is enabled or not.                      |
| UInt32                                                                                                                                                                | Id                     |                                                                                                                                                  |                                                                     |
| List<[WinDeviceGroupInboundPort](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/WinDeviceGroupInboundPort.html)> | InboundPorts           |                                                                                                                                                  | The Inbound Ports.                                                  |
| Boolean                                                                                                                                                               | KioskMode              |                                                                                                                                                  | Whether the Kiosk Mode option is enabled or not.                    |
| String                                                                                                                                                                | Name                   |                                                                                                                                                  | Windows device group name                                           |
| Boolean                                                                                                                                                               | ReplaceDesktop         |                                                                                                                                                  | Whether the Replace Desktop option is enabled or not.               |
| Boolean                                                                                                                                                               | RequestAuthorization   |                                                                                                                                                  | Whether the Request Authorization option is enabled or not.         |
| UInt32                                                                                                                                                                | SiteId                 |                                                                                                                                                  | The ID of the Site from which to retrieve the Windows device group. |
| DateTime                                                                                                                                                              | TimeCreate             | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                     |
| DateTime                                                                                                                                                              | TimeLastMod            | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                     |
| Boolean                                                                                                                                                               | UseClientAsDesktop     |                                                                                                                                                  | Whether the Use Client As Desktop option is enabled or not.         |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/windevicegroup-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
